#language: ru

@mutual_settlements

Функционал: 003. mutual_settlements. Создание реализаций товаров

Сценарий: 003.1. mutual_settlements. Создание реализации в точку доставки Лента 18.03.2021

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.003. Взаиморасчеты"
	Дано я удаляю объекты "Документы.РеализацияТоваровУслуг" без контроля ссылок
	И Я начинаю создавать реализацию товаров на основании заказа "Заказ Лента 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '17.03.2021'
	И в поле 'Комментарий' я ввожу текст 'РеализацияЛентаВзаиморасчеты'
	И я перехожу к закладке с именем "СтраницаТовары"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Молоко 3,2 %"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Кефир"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Творог"
	* Проверка значений при проведении
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Реализация товаров * от *'
		И элемент формы с именем "ПорядокРасчетов" стал равен 'По соглашениям'
		И элемент формы с именем "ФормаОплаты" стал равен 'Безналичными'
		И элемент формы с именем "ГрафикОплаты" стал равен 'Лента'
		И элемент формы с именем "ВалютаВзаиморасчетов" стал равен 'RUB'
		И таблица "ЭтапыГрафикаОплаты" стала равной:
			| 'Группа' | '% платежа' | 'Вариант оплаты' | 'Дата платежа' | 'Сумма платежа' |
			| 'Молоко' | '50%'       | 'Предоплата'     | '19.03.2021'   | '3 750,00'      |
			| 'Молоко' | '50%'       | 'Кредит'         | '22.03.2021'   | '3 750,00'      |
			| ''       | '10%'       | 'Предоплата'     | '18.03.2021'   | '3 352,50'      |
			| ''       | '90%'       | 'Кредит'         | '22.03.2021'   | '30 172,50'     |
		И таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                   | 'Вес, кг' |
			| '150,000'    | 'Молоко 3,2 %' | 'шт'  | '20%'   | '50,00'                | '<не используются>' | '7 500,00'   | '000001 до 31.03.2021 0:00:00' | '150,000, шт'    | '50,00'     | '1 250,00' | '7 500,00'   | 'Склад готовой продукции' | '150'     |
			| '165,000'    | 'Кефир'        | 'шт'  | '20%'   | '65,00'                | '<не используются>' | '10 725,00'  | '000001 до 31.03.2021 0:00:00' | '165,000, шт'    | '65,00'     | '1 787,50' | '10 725,00'  | 'Склад готовой продукции' | '165'     |
			| '190,000'    | 'Творог'       | 'шт'  | '20%'   | '120,00'               | '<не используются>' | '22 800,00'  | '000001 до 31.03.2021 0:00:00' | '190,000, шт'    | '120,00'    | '3 800,00' | '22 800,00'  | 'Склад готовой продукции' | '190'     |
	И Я заканчиваю создавать реализацию товаров на основании заказа

Сценарий: 003.2. mutual_settlements. Проверка движений реализации в точку доставки Лента 18.03.2021

	И Я проверяю движения реализации товаров "РеализацияЛентаВзаиморасчеты"

Сценарий: 003.3. mutual_settlements. Создание реализации в точку доставки Табрис 18.03.2021

	И Я начинаю создавать реализацию товаров на основании заказа "Заказ Табрис 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '17.03.2021'
	И в поле 'Комментарий' я ввожу текст 'РеализацияТабрисВзаиморасчеты'
	И я перехожу к закладке с именем "СтраницаТовары"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Молоко 3,2 %"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Кефир"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Творог"
	* Проверка значение при заполнении по графику
		И в таблице "ЭтапыГрафикаОплаты" я нажимаю на кнопку с именем 'ЭтапыГрафикаОплатыЗаполнитьПоГрафику'
		И элемент формы с именем "ПорядокРасчетов" стал равен 'По накладным'
		И элемент формы с именем "ФормаОплаты" стал равен 'Наличными'
		И элемент формы с именем "ГрафикОплаты" стал равен 'Табрис'
		И элемент формы с именем "ВалютаВзаиморасчетов" стал равен 'RUB'
		И таблица "ЭтапыГрафикаОплаты" стала равной:
			| 'Группа' | '% платежа' | 'Вариант оплаты' | 'Дата платежа' | 'Сумма платежа' |
			| 'Молоко' | '30%'       | 'Предоплата'     | '19.03.2021'   | '3 240,00'      |
			| 'Молоко' | '70%'       | 'Кредит'         | '23.03.2021'   | '7 560,00'      |
			| ''       | '50%'       | 'Предоплата'     | '18.03.2021'   | '15 125,00'     |
			| ''       | '50%'       | 'Кредит'         | '25.03.2021'   | '15 125,00'     |
		И таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                   | 'Вес, кг' |
			| '180,000'    | 'Молоко 3,2 %' | 'шт'  | '20%'   | '60,00'                | '<не используются>' | '10 800,00'  | '000001 до 31.03.2021 0:00:00' | '180,000, шт'    | '60,00'     | '1 800,00' | '10 800,00'  | 'Склад готовой продукции' | '180'     |
			| '250,000'    | 'Кефир'        | 'шт'  | '20%'   | '55,00'                | '<не используются>' | '13 750,00'  | '000001 до 31.03.2021 0:00:00' | '250,000, шт'    | '55,00'     | '2 291,67' | '13 750,00'  | 'Склад готовой продукции' | '250'     |
			| '150,000'    | 'Творог'       | 'шт'  | '20%'   | '110,00'               | '<не используются>' | '16 500,00'  | '000001 до 31.03.2021 0:00:00' | '150,000, шт'    | '110,00'    | '2 750,00' | '16 500,00'  | 'Склад готовой продукции' | '150'     |
	И Я заканчиваю создавать реализацию товаров на основании заказа

Сценарий: 003.4. mutual_settlements. Проверка движений реализации в точку доставки Табрис 18.03.2021

	И Я проверяю движения реализации товаров "РеализацияТабрисВзаиморасчеты"

Сценарий: 003.5. mutual_settlements. Создание реализации в точку доставки Перекресток 18.03.2021

	И Я начинаю создавать реализацию товаров на основании заказа "Заказ Перекресток 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '17.03.2021'
	И в поле 'Комментарий' я ввожу текст 'РеализацияПерекрестокВзаиморасчеты'
	И я перехожу к закладке с именем "СтраницаТовары"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Молоко 3,2 %"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Кефир"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Творог"
	* Проверка значений при проведении
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Реализация товаров * от *'
		И элемент формы с именем "ПорядокРасчетов" стал равен 'По соглашениям'
		И элемент формы с именем "ФормаОплаты" стал равен 'Любая'
		И элемент формы с именем "ГрафикОплаты" стал равен 'Перекресток'
		И элемент формы с именем "ВалютаВзаиморасчетов" стал равен 'RUB'
		И таблица "ЭтапыГрафикаОплаты" стала равной:
			| 'Группа' | '% платежа' | 'Вариант оплаты' | 'Дата платежа' | 'Сумма платежа' |
			| 'Молоко' | '20%'       | 'Предоплата'     | '19.03.2021'   | '1 300,00'      |
			| 'Молоко' | '80%'       | 'Кредит'         | '25.03.2021'   | '5 200,00'      |
			| ''       | '40%'       | 'Предоплата'     | '19.03.2021'   | '8 500,00'      |
			| ''       | '60%'       | 'Кредит'         | '22.03.2021'   | '12 750,00'     |
		И таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                   | 'Вес, кг' |
			| '100,000'    | 'Молоко 3,2 %' | 'шт'  | '20%'   | '65,00'                | '<не используются>' | '6 500,00'   | '000001 до 31.03.2021 0:00:00' | '100,000, шт'    | '65,00'     | '1 083,33' | '6 500,00'   | 'Склад готовой продукции' | '100'     |
			| '150,000'    | 'Кефир'        | 'шт'  | '20%'   | '75,00'                | '<не используются>' | '11 250,00'  | '000001 до 31.03.2021 0:00:00' | '150,000, шт'    | '75,00'     | '1 875,00' | '11 250,00'  | 'Склад готовой продукции' | '150'     |
			| '100,000'    | 'Творог'       | 'шт'  | '20%'   | '100,00'               | '<не используются>' | '10 000,00'  | '000001 до 31.03.2021 0:00:00' | '100,000, шт'    | '100,00'    | '1 666,67' | '10 000,00'  | 'Склад готовой продукции' | '100'     |
	И Я заканчиваю создавать реализацию товаров на основании заказа

Сценарий: 003.6. mutual_settlements. Проверка движений реализации в точку доставки Перекресток 18.03.2021

	И Я проверяю движения реализации товаров "РеализацияПерекрестокВзаиморасчеты"